# frozen_string_literal: true

class EventsController < ApplicationController
  layout "table"

  before_action :set_table

  def index
    @characters = Current.user.characters.where(table: @table)
    @events = @table.dice_rolls.order(:created_at)
  end

  private

    def set_table
      @table = Current.user.tables.find(params[:table_id])
    end
end
