# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.1].define(version: 2024_06_17_151532) do
  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "action_text_rich_texts", force: :cascade do |t|
    t.string "name", null: false
    t.text "body"
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["record_type", "record_id", "name"], name: "index_action_text_rich_texts_uniqueness", unique: true
  end

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.string "service_name", null: false
    t.bigint "byte_size", null: false
    t.string "checksum"
    t.datetime "created_at", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "active_storage_variant_records", force: :cascade do |t|
    t.bigint "blob_id", null: false
    t.string "variation_digest", null: false
    t.index ["blob_id", "variation_digest"], name: "index_active_storage_variant_records_uniqueness", unique: true
  end

  create_table "character_sheet_features", primary_key: ["character_sheet_section_id", "featurable_id"], force: :cascade do |t|
    t.bigint "character_sheet_section_id", null: false
    t.string "featurable_type", null: false
    t.bigint "featurable_id", null: false
    t.integer "order_index", null: false
    t.string "slug", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["character_sheet_section_id"], name: "index_character_sheet_features_on_character_sheet_section_id"
    t.index ["featurable_type", "featurable_id"], name: "index_character_sheet_features_on_featurable"
  end

  create_table "character_sheet_sections", force: :cascade do |t|
    t.string "name", null: false
    t.bigint "character_id", null: false
    t.bigint "parent_section_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["character_id"], name: "index_character_sheet_sections_on_character_id"
    t.index ["parent_section_id"], name: "index_character_sheet_sections_on_parent_section_id"
    t.check_constraint "length(name::text) <= 255", name: "chk_character_sheet_section_name_max_length"
  end

  create_table "characters", force: :cascade do |t|
    t.string "name", null: false
    t.bigint "table_id"
    t.bigint "game_system_id", null: false
    t.bigint "user_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["game_system_id"], name: "index_characters_on_game_system_id"
    t.index ["table_id"], name: "index_characters_on_table_id"
    t.index ["user_id"], name: "index_characters_on_user_id"
    t.check_constraint "length(name::text) <= 200", name: "chk_character_name_max_length"
  end

  create_table "counters", force: :cascade do |t|
    t.string "name", null: false
    t.integer "value", default: 0, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.check_constraint "length(name::text) <= 100", name: "chk_counter_name_max_length"
  end

  create_table "dice_rolls", force: :cascade do |t|
    t.string "rollable_type"
    t.bigint "rollable_id"
    t.bigint "table_id"
    t.integer "result", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["rollable_type", "rollable_id"], name: "index_dice_rolls_on_rollable"
    t.index ["table_id"], name: "index_dice_rolls_on_table_id"
  end

  create_table "game_systems", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["name"], name: "index_game_systems_on_name", unique: true
    t.check_constraint "length(name::text) <= 100", name: "chk_name_max_length"
  end

  create_table "players", primary_key: ["user_id", "table_id"], force: :cascade do |t|
    t.bigint "user_id", null: false
    t.bigint "table_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["table_id"], name: "index_players_on_table_id"
    t.index ["user_id"], name: "index_players_on_user_id"
  end

  create_table "site_roles", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "site_roles_users", force: :cascade do |t|
    t.bigint "user_id"
    t.bigint "site_role_id"
    t.index ["site_role_id"], name: "index_site_roles_users_on_site_role_id"
    t.index ["user_id"], name: "index_site_roles_users_on_user_id"
  end

  create_table "solid_queue_blocked_executions", force: :cascade do |t|
    t.bigint "job_id", null: false
    t.string "queue_name", null: false
    t.integer "priority", default: 0, null: false
    t.string "concurrency_key", null: false
    t.datetime "expires_at", null: false
    t.datetime "created_at", null: false
    t.index ["concurrency_key", "priority", "job_id"], name: "index_solid_queue_blocked_executions_for_release"
    t.index ["expires_at", "concurrency_key"], name: "index_solid_queue_blocked_executions_for_maintenance"
    t.index ["job_id"], name: "index_solid_queue_blocked_executions_on_job_id", unique: true
  end

  create_table "solid_queue_claimed_executions", force: :cascade do |t|
    t.bigint "job_id", null: false
    t.bigint "process_id"
    t.datetime "created_at", null: false
    t.index ["job_id"], name: "index_solid_queue_claimed_executions_on_job_id", unique: true
    t.index ["process_id", "job_id"], name: "index_solid_queue_claimed_executions_on_process_id_and_job_id"
  end

  create_table "solid_queue_failed_executions", force: :cascade do |t|
    t.bigint "job_id", null: false
    t.text "error"
    t.datetime "created_at", null: false
    t.index ["job_id"], name: "index_solid_queue_failed_executions_on_job_id", unique: true
  end

  create_table "solid_queue_jobs", force: :cascade do |t|
    t.string "queue_name", null: false
    t.string "class_name", null: false
    t.text "arguments"
    t.integer "priority", default: 0, null: false
    t.string "active_job_id"
    t.datetime "scheduled_at"
    t.datetime "finished_at"
    t.string "concurrency_key"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["active_job_id"], name: "index_solid_queue_jobs_on_active_job_id"
    t.index ["class_name"], name: "index_solid_queue_jobs_on_class_name"
    t.index ["finished_at"], name: "index_solid_queue_jobs_on_finished_at"
    t.index ["queue_name", "finished_at"], name: "index_solid_queue_jobs_for_filtering"
    t.index ["scheduled_at", "finished_at"], name: "index_solid_queue_jobs_for_alerting"
  end

  create_table "solid_queue_pauses", force: :cascade do |t|
    t.string "queue_name", null: false
    t.datetime "created_at", null: false
    t.index ["queue_name"], name: "index_solid_queue_pauses_on_queue_name", unique: true
  end

  create_table "solid_queue_processes", force: :cascade do |t|
    t.string "kind", null: false
    t.datetime "last_heartbeat_at", null: false
    t.bigint "supervisor_id"
    t.integer "pid", null: false
    t.string "hostname"
    t.text "metadata"
    t.datetime "created_at", null: false
    t.index ["last_heartbeat_at"], name: "index_solid_queue_processes_on_last_heartbeat_at"
    t.index ["supervisor_id"], name: "index_solid_queue_processes_on_supervisor_id"
  end

  create_table "solid_queue_ready_executions", force: :cascade do |t|
    t.bigint "job_id", null: false
    t.string "queue_name", null: false
    t.integer "priority", default: 0, null: false
    t.datetime "created_at", null: false
    t.index ["job_id"], name: "index_solid_queue_ready_executions_on_job_id", unique: true
    t.index ["priority", "job_id"], name: "index_solid_queue_poll_all"
    t.index ["queue_name", "priority", "job_id"], name: "index_solid_queue_poll_by_queue"
  end

  create_table "solid_queue_recurring_executions", force: :cascade do |t|
    t.bigint "job_id", null: false
    t.string "task_key", null: false
    t.datetime "run_at", null: false
    t.datetime "created_at", null: false
    t.index ["job_id"], name: "index_solid_queue_recurring_executions_on_job_id", unique: true
    t.index ["task_key", "run_at"], name: "index_solid_queue_recurring_executions_on_task_key_and_run_at", unique: true
  end

  create_table "solid_queue_scheduled_executions", force: :cascade do |t|
    t.bigint "job_id", null: false
    t.string "queue_name", null: false
    t.integer "priority", default: 0, null: false
    t.datetime "scheduled_at", null: false
    t.datetime "created_at", null: false
    t.index ["job_id"], name: "index_solid_queue_scheduled_executions_on_job_id", unique: true
    t.index ["scheduled_at", "priority", "job_id"], name: "index_solid_queue_dispatch_all"
  end

  create_table "solid_queue_semaphores", force: :cascade do |t|
    t.string "key", null: false
    t.integer "value", default: 1, null: false
    t.datetime "expires_at", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["expires_at"], name: "index_solid_queue_semaphores_on_expires_at"
    t.index ["key", "value"], name: "index_solid_queue_semaphores_on_key_and_value"
    t.index ["key"], name: "index_solid_queue_semaphores_on_key", unique: true
  end

  create_table "stats", force: :cascade do |t|
    t.string "name", null: false
    t.integer "value", default: 0, null: false
    t.string "roll_command"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.check_constraint "length(name::text) <= 100", name: "chk_stat_name_max_length"
  end

  create_table "table_invites", force: :cascade do |t|
    t.bigint "table_id", null: false
    t.string "email", null: false
    t.datetime "accepted_at"
    t.datetime "declined_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["table_id"], name: "index_table_invites_on_table_id"
    t.check_constraint "length(email::text) <= 100", name: "chk_email_max_length"
    t.check_constraint "length(email::text) >= 5", name: "chk_email_min_length"
  end

  create_table "tables", force: :cascade do |t|
    t.string "name", null: false
    t.string "slug", null: false
    t.bigint "owner_id"
    t.bigint "game_system_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.uuid "uuid", null: false
    t.index ["game_system_id"], name: "index_tables_on_game_system_id"
    t.index ["owner_id"], name: "index_tables_on_owner_id"
    t.index ["slug"], name: "index_tables_on_slug", unique: true
    t.check_constraint "length(name::text) <= 100", name: "chk_table_name_max_length"
    t.check_constraint "length(slug::text) <= 100", name: "chk_table_slug_max_length"
  end

  create_table "text_fields", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.check_constraint "length(name::text) <= 100", name: "chk_text_field_name_max_length"
  end

  create_table "users", force: :cascade do |t|
    t.string "username", limit: 20, null: false
    t.string "password_digest", limit: 200, null: false
    t.string "email", limit: 100, null: false
    t.string "first_name", limit: 50, null: false
    t.string "last_name", limit: 50, default: "", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "verified", default: false, null: false
    t.datetime "password_reset_last_sent_at"
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["username"], name: "index_users_on_username", unique: true
    t.index ["verified"], name: "index_users_on_verified"
    t.check_constraint "length(email::text) >= 5", name: "chk_email_min_length"
    t.check_constraint "length(first_name::text) >= 1", name: "chk_first_name_min_length"
    t.check_constraint "length(username::text) >= 3", name: "chk_username_min_length"
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "active_storage_variant_records", "active_storage_blobs", column: "blob_id"
  add_foreign_key "character_sheet_features", "character_sheet_sections"
  add_foreign_key "character_sheet_sections", "character_sheet_sections", column: "parent_section_id"
  add_foreign_key "character_sheet_sections", "characters"
  add_foreign_key "characters", "game_systems"
  add_foreign_key "characters", "tables"
  add_foreign_key "characters", "users"
  add_foreign_key "dice_rolls", "tables"
  add_foreign_key "players", "tables"
  add_foreign_key "players", "users"
  add_foreign_key "solid_queue_blocked_executions", "solid_queue_jobs", column: "job_id", on_delete: :cascade
  add_foreign_key "solid_queue_claimed_executions", "solid_queue_jobs", column: "job_id", on_delete: :cascade
  add_foreign_key "solid_queue_failed_executions", "solid_queue_jobs", column: "job_id", on_delete: :cascade
  add_foreign_key "solid_queue_ready_executions", "solid_queue_jobs", column: "job_id", on_delete: :cascade
  add_foreign_key "solid_queue_recurring_executions", "solid_queue_jobs", column: "job_id", on_delete: :cascade
  add_foreign_key "solid_queue_scheduled_executions", "solid_queue_jobs", column: "job_id", on_delete: :cascade
  add_foreign_key "table_invites", "tables"
  add_foreign_key "tables", "game_systems"
  add_foreign_key "tables", "users", column: "owner_id"
end
