# frozen_string_literal: true

require "test_helper"

class ApplicationSystemTestCase < ActionDispatch::SystemTestCase
  driven_by :selenium,
            using: :headless_firefox,
            screen_size: [ 1400, 1400 ]

  def system_sign_in(user, password: "password")
    visit new_session_url
    fill_in attr_name(User, :username), with: users(:trevor).username
    fill_in attr_name(User, :password), with: "password"
    click_button I18n.t("sessions.new.log_in")
  end
end
